<section
  class="is-background-contain is-background-no-repeat"
>
  <div class="section">
    <div class="container">
      <div class="is-max-w-lg mx-auto has-text-centered mb-6">
        <h2 class="title is-spaced">
          <span>Welcome to</span>
          <span class="has-text-primary">CodeChallenge</span>
          <span class="has-text-weight-light is-family-code">[dot]</span>
          <span class="has-text-weight-light is-family-code has-text-primary">dev</span>
        </h2>
        <p class="subtitle">
          Complete fun challenges, up-level your DevOps skills, get fun awards...hosted by 
          <span class="tag is-warning is-large">GitLab</span>, the 
          <a href="https://about.gitlab.com" target="_blank" class="has-text-weight-semibold">DevSecOps Platform</a>
        </p>
        {{#unless featuredChallenge}}
        <div class="buttons is-centered">
          <a
            class="button is-primary is-large"
            href="/signup"
          >
            Sign up
          </a><a
            class="button is-info is-outlined is-large"
            href="/login"
          >
            Log in
          </a>
          </div>
          {{/unless}}
      </div>
      {{#if featuredChallenge}}
        {{#with featuredChallenge}}
          <div class="is-relative is-max-w-3xl mx-auto mb-6 hero-background-image is-hidden-mobile">
            <div class="hero-invite-card">
              {{> invitecard cardTitle="✨ Featured Challenge ✨" hideImage=true hideBrand=true}}
            </div>
          </div>
          <div class="is-hidden-tablet" style="margin-left: -2rem; margin-right: -2rem;">
            {{> invitecard cardTitle="✨ Featured Challenge ✨" hideImage=true hideBrand=true}}
          </div>
        {{/with}}
      {{/if}}
    </div>
  </div>
</section>

{{> howitworks}}

<section class="section">
  &nbsp;
</section>

<section class="section hero is-white">
  <div class="container">
      <div class="is-max-w-lg mx-auto has-text-centered">
        <span class="tag is-primary is-large is-rounded">🧑‍💻 Compete</span>
      </div>
  </div>
  <div class="hero-body">
    <div class="container">
      <div class="is-max-w-lg mx-auto has-text-centered">
        <h2 class="mt-5 title">
          Getting Started
        </h2>
        <p class="has-text-left is-size-4">
          To get started, sign in with your GitLab.com account. From there, you can either use the challenge invite link or see the list of active challenges to join.
        </p>
        <div class="mt-5"><a class="button is-primary is-large" href="/signup">Start Now</a></div>
      </div>
    </div>
  </div>
</section>
